Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Frage zu Befehl _pline

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Frage zu Befehl _pline (954 mal gelesen)
Bauvermesser
Mitglied
Vermesser


Sehen Sie sich das Profil von Bauvermesser an!   Senden Sie eine Private Message an Bauvermesser  Schreiben Sie einen Gästebucheintrag für Bauvermesser

Beiträge: 435
Registriert: 18.03.2006

AMD 2600, 2024RAM ,WIN XP PROF-SP3, ACAD 2005, Firmenrechner, keine Adminrecht

erstellt am: 18. Dez. 2014 21:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Wer kann mit bitte sagen warum nach dem Befehl pline nicht der Layer gesetzt wird.
Wie muss der Befehl abgeschlossen werden damit weitere Befehle abgearbeitet werden.
(defun c:UMR (/)
    (command "_LAYER" "SE" "X-Regionen_Umringe" "FArbe"2 "" "Ltyp"Continuous  "LStõrke"0.4 "" "Plot" "Kein" "" "")
    (progn
      (command "plinie")
)
    (command  "CLAYER"  "X-Schraffuren")
)

------------------
Gruß vom Bauvermesser;

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

.

erstellt am: 18. Dez. 2014 21:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

(command "plinie")
(while (/=(getvar "CMDACTIVE")0)(command pause)) ; warten, bis beendet (kann aber ab Vession 2015 Probleme bereiten)
(command  "CLAYER"  "X-Schraffuren")

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

archtools
Mitglied



Sehen Sie sich das Profil von archtools an!   Senden Sie eine Private Message an archtools  Schreiben Sie einen Gästebucheintrag für archtools

Beiträge: 687
Registriert: 09.10.2004

Entwickler für AutoCAD, BricsCAD u.a., alle Systeme

erstellt am: 19. Dez. 2014 00:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Bauvermesser:
Wer kann mit bitte sagen warum nach dem Befehl pline nicht der Layer gesetzt wird.
Wie muss der Befehl abgeschlossen werden damit weitere Befehle abgearbeitet werden.
(defun c:UMR (/)
    (command "_LAYER" "SE" "X-Regionen_Umringe" "FArbe"2 "" "Ltyp"Continuous  "LStõrke"0.4 "" "Plot" "Kein" "" "")
     (progn
      (command "plinie")
)
    (command  "CLAYER"  "X-Schraffuren")
)



Wie's richtig geht, hat Cadmium Dir ja schon gesagt. Aber er hat nicht geschrieben, warum das so sein muss.

Ich nehme an, dass Du das (progn ..) grundfalsch verstanden hast, denn da packst Du ja nur den (command "plinie") rein. Und das wohl in der Hoffnung, dass (progn ...) irgendwie dafür sorgt, dass der PLINE Befehl zum Abschluss gebracht wird, bevor Du den Layer command aufrufst. Nein, das ist nicht so, und es gibt eine Online-Hilfe, die erklärt, was das progn macht und was command macht. So wie Du es aufrufst, ist es wie die Eingabe von _PLINE in der Befehlszeile, und anstatt dann die nötigen Eingaben für PLINE folgen zu lassen, gibst Du plötzlich LAYER ein. Aber der PLINE Befehl erwartet keine solche Eingabe und kann damit auch nix anfangen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 19. Dez. 2014 09:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Hallo,
eine andere einfache Variante wäre eine Schleife mit Punktabfrage nach dem Befehl Plinie, also etwa so:
Code:
...
(command "plinie")
(while (setq plinienpunkt (getpoint))
  (command plinienpunkt)
)
(command "")
...
Damit hast Du dann aber keinen Zugriff auf die Befehlsoptionen.

Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bauvermesser
Mitglied
Vermesser


Sehen Sie sich das Profil von Bauvermesser an!   Senden Sie eine Private Message an Bauvermesser  Schreiben Sie einen Gästebucheintrag für Bauvermesser

Beiträge: 435
Registriert: 18.03.2006

AMD 2600, 2024RAM ,WIN XP PROF-SP3, ACAD 2005, Firmenrechner, keine Adminrecht

erstellt am: 22. Dez. 2014 22:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke für die lösungen

schöhen Weihnachten an alle

------------------
Gruß vom Bauvermesser;

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz